<mat-form-field [formGroup]="inputForm" hintLabel="{{(metadata.maxCharacters && !disabled ? 'COMMON.FORM.MAX_CHARACTERS' : '') | translate : {'max': metadata.maxCharacters} }}" [ngStyle]="{'width': '100%'}" >
	<mat-label>{{metadata.label | translate}} <span *ngIf="required" class="requiredAsterisk">*</span></mat-label>
	<textarea class="{{disabled ? 'readOnly' : ''}}" #input [(ngModel)]="value" maxlength="{{metadata.maxCharacters}}" matInput [formControlName]="uniqueId"
	cdkTextareaAutosize
	cdkAutosizeMinRows="1"
	cdkAutosizeMaxRows="{{metadata.maxRowsHeight}}"
	[name]="uniqueId" autocomplete="off" ></textarea>
	<mat-hint class="hintColor" align="end" *ngIf="metadata.maxCharacters && !disabled">{{input.value?.length || 0}}/{{metadata.maxCharacters}}</mat-hint>
	<mat-error *ngIf="inputForm.controls[uniqueId] && inputForm.controls[uniqueId].errors && inputForm.controls[uniqueId].errors.customValidator">
		{{ metadata.customValidatorMessage  | translate }}
	</mat-error>
	<mat-error *ngIf="inputForm.controls[uniqueId] && inputForm.controls[uniqueId].errors && inputForm.controls[uniqueId].errors.required">
		{{'COMMON.FORM.REQUIRED' | translate }}
	</mat-error>
	<mat-icon *ngIf="metadata.tooltip" class="tooltipIcon" matTooltip="{{metadata.tooltip | translate}}" matSuffix>help</mat-icon>
	<mat-icon *ngIf="!(errorTooltip | isEmpty)" class="tooltipErrorIcon" matTooltipClass= "tooltipErrorMessage" matTooltip="{{errorTooltip}}" matSuffix>error</mat-icon>
</mat-form-field>